# ShadowMode

#### ShadowMode()
Scene/ShadowMode.js 13

Specifies whether the object casts or receives shadows from each light source when shadows are enabled.

### Members

#### static constantCesium.ShadowMode.CAST_ONLY : Number
Scene/ShadowMode.js 36

The object casts shadows only.

#### static constantCesium.ShadowMode.DISABLED : Number
Scene/ShadowMode.js 20

The object does not cast or receive shadows.

#### static constantCesium.ShadowMode.ENABLED : Number
Scene/ShadowMode.js 28

The object casts and receives shadows.

#### static constantCesium.ShadowMode.RECEIVE_ONLY : Number
Scene/ShadowMode.js 44

The object receives shadows only.